# Get promo code limit for specified user

Gets the remaining number of times the specified user can use the promo code.

User limit API allows you to limit the number of times users can use a promo code. For configuring the user limit itself, go to the Admin section:
* Promo Codes

Endpoint: GET /v2/project/{project_id}/admin/user/limit/promocode/external_id/{external_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `external_id` (integer, required)
    Promotion external ID. Unique promotion identifier within the project.
    Example: "coupon_44056_1"

## Query parameters:

  - `user_external_id` (string, required)
    User external ID
    Example: "d342dad2-9d59-11e9-a384-42010aa8003f"

## Response 200 fields (application/json):

  - `per_user` (object)

  - `per_user.total` (integer)
    The maximum number of times a user can use a promo code.
    Example: 10

  - `per_user.available` (integer)
    The remaining number of times a user can use a promo code.
    Example: 9

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `transactionId` (string)

## Response 422 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `errorMessageExtended` (array)

  - `transactionId` (string)


